Skip to main content
GET
/
webhook
/
{id}
cURL
curl --request GET \
  --url https://api.openformat.tech/v1/webhook/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.openformat.tech/v1/webhook/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.openformat.tech/v1/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "webhook": {
    "id": 123,
    "url": "https://api.example.com/webhook",
    "events": [
      "transaction"
    ],
    "disabled": true,
    "disabled_at": "2024-01-23 01:23:45.55338+00",
    "created_at": "2024-01-23 01:23:45.55338+00"
  }
}
{
  "success": false,
  "error": {
    "issues": [
      {
        "validation": "regex",
        "code": "invalid_string",
        "message": "Invalid",
        "path": [
          "id"
        ]
      }
    ],
    "name": "ZodError"
  }
}
{
  "status": "failed",
  "error": "Webhook not found"
}
{
  "status": "failed",
  "error": "Database operation failed"
}
{
  "status": "success",
  "webhook": {
    "id": 123,
    "url": "https://api.example.com/webhook",
    "events": [
      "transaction"
    ],
    "disabled": true,
    "disabled_at": "2024-01-23 01:23:45.55338+00",
    "created_at": "2024-01-23 01:23:45.55338+00"
  }
}
{
  "success": false,
  "error": {
    "issues": [
      {
        "validation": "regex",
        "code": "invalid_string",
        "message": "Invalid",
        "path": [
          "id"
        ]
      }
    ],
    "name": "ZodError"
  }
}
{
  "status": "failed",
  "error": "Webhook not found"
}
{
  "status": "failed",
  "error": "Database operation failed"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Webhook id

Pattern: ^\d+$
Example:

"123"

Response

Webhook data

status
enum<string>
required

Successful reponse status

Available options:
success
Example:

"success"

webhook
object
required

The webhook data